# wxAcceleratorTable Class Reference
[Data Structures]

`#include <wx/accel.h>`

Inheritance diagram for wxAcceleratorTable:
[legend]

## Detailed Description

An accelerator table allows the application to specify a table of keyboard shortcuts for menu or button commands.

The object wxNullAcceleratorTable is defined to be a table with no data, and is the initial accelerator table for a window.

Example:

        wxAcceleratorEntry entries[4];
        entries[0].Set(wxACCEL_CTRL, (int) 'N', ID_NEW_WINDOW);
        entries[1].Set(wxACCEL_CTRL, (int) 'X', wxID_EXIT);
        entries[2].Set(wxACCEL_SHIFT, (int) 'A', ID_ABOUT);
        entries[3].Set(wxACCEL_NORMAL, WXK_DELETE, wxID_CUT);

        wxAcceleratorTable accel(4, entries);
        frame->SetAcceleratorTable(accel);

Remarks:
  An accelerator takes precedence over normal processing and can be a convenient way to program some event handling. For example, you can use an accelerator table to enable a dialog with a multi-line text control to accept CTRL-Enter as meaning 'OK'.

##

Library: wxCore

Category: Data Structures

Predefined objects/pointers: wxNullAcceleratorTable

See also:
  wxAcceleratorEntry, wxWindow::SetAcceleratorTable

## Public Member Functions
| wxAcceleratorTable ()
| Default ctor.
| wxAcceleratorTable (int n, const wxAcceleratorEntry entries[])
| Initializes the accelerator table from an array of wxAcceleratorEntry.
| wxAcceleratorTable (const wxString &resource)
| Loads the accelerator table from a Windows resource (Windows only).
virtual | ~wxAcceleratorTable ()
| Destroys the wxAcceleratorTable object.
bool | IsOk () const
| Returns true if the accelerator table is valid.

List of all members.

## Constructor & Destructor Documentation

wxAcceleratorTable::wxAcceleratorTable | ( |  | ) |

Default ctor.

wxAcceleratorTable::wxAcceleratorTable | ( | int | n,
|  | const wxAcceleratorEntry | entries[] |
| ) |  |  |

Initializes the accelerator table from an array of wxAcceleratorEntry.

Parameters:

  | n | Number of accelerator entries.
  | entries | The array of entries.

wxPerl Note: The wxPerl constructor accepts a list of either Wx::AcceleratorEntry objects or references to 3-element arrays [flags, keyCode, cmd] , like the parameters of Wx::AcceleratorEntry::new.

wxAcceleratorTable::wxAcceleratorTable | ( | const wxString & | resource | ) |

Loads the accelerator table from a Windows resource (Windows only).

Availability: only available for the wxMSW port.

Parameters:

  | resource | Name of a Windows accelerator.

virtual wxAcceleratorTable::~wxAcceleratorTable | ( |  | ) | `[virtual]`

Destroys the wxAcceleratorTable object.

See Object Destruction for more info.

## Member Function Documentation

bool wxAcceleratorTable::IsOk | ( |  | ) | const

Returns true if the accelerator table is valid.

|  | [ top ]